Bug 733608 - [abrt] general protection fault while shrinking dcache memory
Summary: [abrt] general protection fault while shrinking dcache memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c7fefe9bcddfc36814269d340e4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 08:40 UTC by Mark Knoop
Modified: 2012-03-06 15:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-06 15:27:07 UTC


Attachments (Terms of Use)

Description Mark Knoop 2011-08-26 08:40:31 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/System-Root rd_LVM_LV=System/Root rd_LVM_LV=System/Swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_GB.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=uk quiet vga=795 nmi_watchdog=1
comment:        Mounted EXT4 filesystem, started backup with rsync.
component:      kernel
kernel:         2.6.40.3-0.fc15.x86_64 #1 OEM OEM/AB9/AB9RPO(Intel965+ICH8
kernel_tainted: 128
kernel_tainted_long: Kernel has oopsed before.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [136250.846471] general protection fault: 0000 [#1] SMP 
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Fri Aug 26 05:32:48 2011

backtrace:
:[136250.846471] general protection fault: 0000 [#1] SMP 
:[136250.846831] CPU 1 
:[136250.846834] Modules linked in: snd_seq_midi snd_seq_midi_event snd_seq_dummy snd_hrtimer tcp_lp vfat fat fuse ppdev parport_pc lp parport cpufreq_ondemand acpi_cpufreq freq_table mperf bnep nf_conntrack_ftp ip6t_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack bluetooth rfkill ip6table_filter ip6_tables w83627ehf hwmon_vid coretemp snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_seq usblp snd_usb_audio snd_hwdep snd_usbmidi_lib snd_rawmidi microcode snd_pcm snd_seq_device joydev iTCO_wdt iTCO_vendor_support r8169 i2c_i801 mii sky2 snd_timer snd soundcore snd_page_alloc ipv6 firewire_ohci uas firewire_core pata_acpi ata_generic crc_itu_t usb_storage pata_jmicron nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:[136250.847004] 
:[136250.847004] Pid: 24, comm: kswapd0 Not tainted 2.6.40.3-0.fc15.x86_64 #1 OEM OEM/AB9/AB9RPO(Intel965+ICH8)
:[136250.847004] RIP: 0010:[<ffffffff8108343e>]  [<ffffffff8108343e>] do_raw_spin_trylock+0x9/0x26
:[136250.847004] RSP: 0018:ffff880163afbb90  EFLAGS: 00010202
:[136250.847004] RAX: ffff8800adfc6d80 RBX: ffff8800adfc6d80 RCX: ffffffff812368dd
:[136250.847004] RDX: 0000000000000008 RSI: 0000000000000000 RDI: 00ff880005275660
:[136250.847004] RBP: ffff880163afbb90 R08: ffff880005275df0 R09: ffffea0003be3678
:[136250.847004] R10: ffffea00020ffe10 R11: ffff8800accf8c00 R12: ffff880163afbc50
:[136250.847004] R13: 00ff880005275640 R14: 0000000000000000 R15: ffff880163afbcbc
:[136250.847004] FS:  0000000000000000(0000) GS:ffff88016fc80000(0000) knlGS:0000000000000000
:[136250.847004] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:[136250.847004] CR2: 0000000003269000 CR3: 000000014af39000 CR4: 00000000000006e0
:[136250.847004] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[136250.847004] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[136250.847004] Process kswapd0 (pid: 24, threadinfo ffff880163afa000, task ffff88016766ae60)
:[136250.847004] Stack:
:[136250.847004]  ffff880163afbba0 ffffffff8148799e ffff880163afbbd0 ffffffff81137a1e
:[136250.847004]  ffff8800adfc6d80 ffff880163afbc50 ffff8800adfc6e00 0000000000000008
:[136250.847004]  ffff880163afbc20 ffffffff81137b79 0000000000000000 ffff8800accf8c00
:[136250.847004] Call Trace:
:[136250.847004]  [<ffffffff8148799e>] _raw_spin_trylock+0xe/0x18
:[136250.847004]  [<ffffffff81137a1e>] dentry_kill+0x28/0x121
:[136250.847004]  [<ffffffff81137b79>] shrink_dentry_list+0x62/0xb4
:[136250.847004]  [<ffffffff81137d0f>] __shrink_dcache_sb+0x144/0x156
:[136250.847004]  [<ffffffff81137e10>] shrink_dcache_memory+0xef/0x16b
:[136250.847004]  [<ffffffff810e8da8>] shrink_slab+0xf2/0x189
:[136250.847004]  [<ffffffff810eb8ca>] balance_pgdat+0x2e6/0x574
:[136250.847004]  [<ffffffff81241e33>] ? __bitmap_weight+0x34/0x80
:[136250.847004]  [<ffffffff810ebe0c>] kswapd+0x2b4/0x2f0
:[136250.847004]  [<ffffffff81070442>] ? remove_wait_queue+0x3a/0x3a
:[136250.847004]  [<ffffffff810ebb58>] ? balance_pgdat+0x574/0x574
:[136250.847004]  [<ffffffff8106fd53>] kthread+0x84/0x8c
:[136250.847004]  [<ffffffff8148f2a4>] kernel_thread_helper+0x4/0x10
:[136250.847004]  [<ffffffff8106fccf>] ? kthread_worker_fn+0x148/0x148
:[136250.847004]  [<ffffffff8148f2a0>] ? gs_change+0x13/0x13
:[136250.847004] Code: e5 66 66 66 66 90 b8 00 00 01 00 f0 0f c1 07 0f b7 d0 c1 e8 10 39 c2 74 07 f3 90 0f b7 17 eb f5 5d c3 55 48 89 e5 66 66 66 66 90 <8b> 07 89 c2 c1 c0 10 39 c2 8d 90 00 00 01 00 75 04 f0 0f b1 17 
:[136250.847004] RIP  [<ffffffff8108343e>] do_raw_spin_trylock+0x9/0x26
:[136250.847004]  RSP <ffff880163afbb90>
:[136250.847004] [drm] nouveau 0000:01:00.0: 0xC2B3: Parsing digital output script table
:[136250.847004] [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on tmds encoder (output 1)
:[136250.847004] [drm] nouveau 0000:01:00.0: Output DVI-I-1 is running on CRTC 0 using output A
:[136250.847004] [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 2)
:[136250.847004] [drm] nouveau 0000:01:00.0: Output VGA-1 is running on CRTC 1 using output C
:[136250.937365] ---[ end trace ab0e4bcad29087b1 ]---

Comment 1 Dave Jones 2012-03-05 22:20:26 UTC
The address it's faulted on is RDI: 00ff880005275660

That address has lost it's upper 8 bits. Looks like something scribbled 0x00 over random memory.

Was this after a suspend or hibernate ?

Comment 2 Mark Knoop 2012-03-06 11:02:27 UTC
No. This hasn't happened on newer kernels, I think since 3.0.

Comment 3 Dave Jones 2012-03-06 15:27:07 UTC
ok, let's close it out. If it reoccurs, feel free to reopen.

thanks.


Note You need to log in before you can comment on or make changes to this bug.